PULSAR
API ReferenceSystem Widgets

Promote

Promote system widgets.

Authorization

bearerAuth superadmin, superuser
Authorization<token>

In: header

Scope: superadmin, superuser

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

Try it live
POST
/widgets/system/promote

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/widgets/system/promote" \  -H "Content-Type: application/json" \  -d '{    "sourceCompanyId": 0.1,    "widgetId": "string"  }'
{  "id": "string",  "title": {    "en": "string",    "es": "string"  },  "description": {    "en": "string",    "es": "string"  },  "spec": {    "property1": null,    "property2": null  },  "isSystem": true,  "isFavorited": true,  "featureRequirements": "string",  "labels": "string",  "createdAt": "string",  "updatedAt": "string",  "deletedAt": "string",  "thumbnailUrl": "string",  "compressedThumbnailUrl": "string"}